Bug 207845 - Anaconda netmask editting does not work
Anaconda netmask editting does not work
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: anaconda (Show other bugs)
5.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: David Cantrell
Mike McLean
:
Depends On:
Blocks: FC6Blocker
  Show dependency treegraph
 
Reported: 2006-09-24 11:56 EDT by Jos Vos
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version: 5.0.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-02-14 14:41:17 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jos Vos 2006-09-24 11:56:32 EDT
Description of problem:
When editting interface info in the graphical interface, the "Netmask" field
only seems to accept a subset of possible netmasks, e.g. it accepts
255.255.255.0, but not 255.255.255.240 or 255.255.255.248.

How reproducable:
Choose "edit" for a network interface in the graphical installer.

Further comments:
Specifying a netmask in the text interface (after the / of in the IP address
field), before the graphical installer starts (after choosing NFS install) works
fine, it accepts all netmasks I tried and it even plain numbers, like "24" or
"28", which is a good thing.
Comment 1 David Cantrell 2006-09-25 13:35:39 EDT
This has been fixed in rawhide and will make its way in to the next RHEL5 beta
or alpha or test release.

Netmasks and CIDR-prefixes are accepted for the IPv4 prefix.
Comment 2 Bill Nottingham 2006-09-27 18:08:48 EDT
With rawhide-20060927, this is still broken.

If I enter 172.16.56.125/22, it gives me a netmask of 255.255.63.0 (instead of
255.255.252.0).

If I enter 172.16.56.125/255.255.252.0, it gives me a prefix of /24.

Comment 3 David Cantrell 2006-10-02 15:32:43 EDT
CIDR prefix to netmask calculation has been fixed in rawhide.  Thanks.
Comment 4 Bill Nottingham 2006-10-03 12:23:01 EDT
If I enter 172.16.56.125/22, while it does calculate the netmask correctly, it
displays in the 'Network Devices dialog' as 172.16.56.125/24.
Comment 5 David Cantrell 2006-10-03 15:03:02 EDT
(In reply to comment #4)
> If I enter 172.16.56.125/22, while it does calculate the netmask correctly, it
> displays in the 'Network Devices dialog' as 172.16.56.125/24.

Seriously, notting...are you never satisfied?  I fixed this exact problem about
5 minutes ago and committed it to HEAD for rawhide.

It was just a display issue, the internal values were still correct.

BUT, I did just uncover another problem.  The input validation code is borken on
big endian systems.  Working on that.
Comment 6 David Cantrell 2006-10-04 13:23:15 EDT
These problems are fixed in today's rawhide (20051004).
Comment 7 Jay Turner 2007-02-14 14:41:17 EST
Closing out.

Note You need to log in before you can comment on or make changes to this bug.